BuildProvisioning

All BuildProvisioning endpoints

Get the list of all build provisioning storage registrations for a customer

get
Authorizations
PRIVATE-TOKENstringRequired
Header parameters
RANGED-DATAstringOptional

Example header and default range: RANGED-DATA:start=0,results=25

Responses
chevron-right
200

OK

application/json
idstringRead-onlyRequired

ID of the build provisioning registration

usernamestringRead-onlyRequired

Username the login name for the build provisioning registration (can be i3D.net docker or i3D.net storage)

portinteger · integerRead-onlyRequired

Port for the login to the build provisioning registration

namestringRead-onlyRequired

Unique name of the build provisioning registration

originDomainNamestringRead-onlyRequired

Origin domain name of the build provisioning registration

cdnDomainNamestringRead-onlyRequired

CDN domain name of the build provisioning registration, where the application instance will be downloaded by the hostagent

contractStartinteger · integerRead-onlyRequired

Start UNIX timestamp when the registration starts for the customer

contractEndinteger · integerRead-onlyRequired

End UNIX timestamp when the registration ends for the customer

typeinteger · integerRead-onlyRequired

The type of build provisioning registration storage that is being used GET /v3/buildProvisioning/storage/registration/types

createdAtinteger · integerRead-onlyRequired

UNIX timestamp when the build provisioning registration is created

changedAtinteger · integerRead-onlyRequired

UNIX timestamp when the build provisioning registration is changed

get
/v3/buildProvisioning/storage/registration

Get the details of a build provisioning storage registration

get
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
idstringRequired

The ID of the build provisioning storage registration for which to fetch the information

Responses
chevron-right
200

OK

application/json
idstringRead-onlyRequired

ID of the build provisioning registration

usernamestringRead-onlyRequired

Username the login name for the build provisioning registration (can be i3D.net docker or i3D.net storage)

portinteger · integerRead-onlyRequired

Port for the login to the build provisioning registration

namestringRead-onlyRequired

Unique name of the build provisioning registration

originDomainNamestringRead-onlyRequired

Origin domain name of the build provisioning registration

cdnDomainNamestringRead-onlyRequired

CDN domain name of the build provisioning registration, where the application instance will be downloaded by the hostagent

contractStartinteger · integerRead-onlyRequired

Start UNIX timestamp when the registration starts for the customer

contractEndinteger · integerRead-onlyRequired

End UNIX timestamp when the registration ends for the customer

typeinteger · integerRead-onlyRequired

The type of build provisioning registration storage that is being used GET /v3/buildProvisioning/storage/registration/types

createdAtinteger · integerRead-onlyRequired

UNIX timestamp when the build provisioning registration is created

changedAtinteger · integerRead-onlyRequired

UNIX timestamp when the build provisioning registration is changed

get
/v3/buildProvisioning/storage/registration/{id}

Get The build provisioning storage registration types for storing application build files

get
Authorizations
PRIVATE-TOKENstringRequired
Responses
chevron-right
200

OK

application/json
idinteger · integerRead-onlyRequired

ID of the build provisioning registration type

descriptionstringRead-onlyRequired

Description of the build provisioning registration type

get
/v3/buildProvisioning/storage/registration/types

Get the list of all the files storage

get
Authorizations
PRIVATE-TOKENstringRequired
Header parameters
RANGED-DATAstringOptional

Example header and default range: RANGED-DATA:start=0,results=25

Responses
chevron-right
200

OK

application/json
idstringRead-onlyRequired

Build provisioning file ID

buildProvisionRegistrationIdstringRead-onlyRequired

ID of the build provisioning storage registration

fileNamestringRead-onlyRequired

Name of the file

fileSizeinteger · integerRead-onlyRequired

Size of the file

md5CheckSumstringRead-onlyRequired

MD5 checksum of the file

createdAtinteger · integerRead-onlyRequired

UNIX timestamp when the file has been created

changedAtinteger · integerRead-onlyRequired

UNIX timestamp when the file last has been changed

get
/v3/buildProvisioning/storage/file

Get the details of the file in the storage

get
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
idstringRequired

The ID of the build provisioning file for which to fetch the information

Responses
chevron-right
200

OK

application/json
idstringRead-onlyRequired

Build provisioning file ID

buildProvisionRegistrationIdstringRead-onlyRequired

ID of the build provisioning storage registration

fileNamestringRead-onlyRequired

Name of the file

fileSizeinteger · integerRead-onlyRequired

Size of the file

md5CheckSumstringRead-onlyRequired

MD5 checksum of the file

createdAtinteger · integerRead-onlyRequired

UNIX timestamp when the file has been created

changedAtinteger · integerRead-onlyRequired

UNIX timestamp when the file last has been changed

get
/v3/buildProvisioning/storage/file/{id}

Get the list of all the files in a build provisioning registration

get
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
buildProvisionRegistrationIdstringRequired

The ID of the build provisioning registration where you want the files of

Header parameters
RANGED-DATAstringOptional

Example header and default range: RANGED-DATA:start=0,results=25

Responses
chevron-right
200

OK

application/json
idstringRead-onlyRequired

Build provisioning file ID

buildProvisionRegistrationIdstringRead-onlyRequired

ID of the build provisioning storage registration

fileNamestringRead-onlyRequired

Name of the file

fileSizeinteger · integerRead-onlyRequired

Size of the file

md5CheckSumstringRead-onlyRequired

MD5 checksum of the file

createdAtinteger · integerRead-onlyRequired

UNIX timestamp when the file has been created

changedAtinteger · integerRead-onlyRequired

UNIX timestamp when the file last has been changed

get
/v3/buildProvisioning/storage/registration/{buildProvisioningRegistrationId}/file

Last updated

Was this helpful?